For Developers

Analyze Request

GET https://ed.link/api/v2/teams/:team_id/requests/:request_id/analyze

Executes the automated request analyzer, providing root cause analysis and recommendations for failed requests.

Permissions

Requires the logs.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:request_idUUIDYesThe ID of the request.
modelStringNoOptional analyzer model selection.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/requests/${request_id}/analyze`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": "Analysis: The 403 Forbidden was returned because the integration has not been granted the 'coursework.read' permission scope in the Edlink dashboard."
}